public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/
@ 2020-02-08 11:52 Mikle Kolyada
  0 siblings, 0 replies; 12+ messages in thread
From: Mikle Kolyada @ 2020-02-08 11:52 UTC (permalink / raw
  To: gentoo-commits

commit:     a1b023b1aca3f233578196fa7f7409b4565b2611
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  8 11:27:46 2020 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sat Feb  8 11:52:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1b023b1

app-shells/zsh-syntax-highlighting: Initial commit

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 app-shells/zsh-syntax-highlighting/Manifest        |  1 +
 app-shells/zsh-syntax-highlighting/metadata.xml    |  8 +++++
 .../zsh-syntax-highlighting-0.7.0_beta1.ebuild     | 42 ++++++++++++++++++++++
 3 files changed, 51 insertions(+)

diff --git a/app-shells/zsh-syntax-highlighting/Manifest b/app-shells/zsh-syntax-highlighting/Manifest
new file mode 100644
index 00000000000..a557f61f9dd
--- /dev/null
+++ b/app-shells/zsh-syntax-highlighting/Manifest
@@ -0,0 +1 @@
+DIST zsh-syntax-highlighting-0.7.0_beta1.tar.gz 130063 BLAKE2B cf0f6319af22b47cb8a280de682a69b0479dc59033be5ce84840507b77dd2df0441b8d260af55bccb303c87d7f5a7e4cc6db9f46860aee040b4b8115c76f5e07 SHA512 1692015aad58103c752e2dd4161ea87f26aaa09d34eb2faec1f651fea1d9bfad29226455468017160a5393a87c1f7ed0514b09b0802b1810377beef72bfa6c87

diff --git a/app-shells/zsh-syntax-highlighting/metadata.xml b/app-shells/zsh-syntax-highlighting/metadata.xml
new file mode 100644
index 00000000000..203fa55c746
--- /dev/null
+++ b/app-shells/zsh-syntax-highlighting/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+	<email>zlogene@gentoo.org</email>
+	<name>Mikle Kolyada</name>
+</maintainer>
+</pkgmetadata>

diff --git a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.0_beta1.ebuild b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.0_beta1.ebuild
new file mode 100644
index 00000000000..8ca8ffb2e2b
--- /dev/null
+++ b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.0_beta1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit readme.gentoo-r1
+
+if [[ -z ${PV%%*9999} ]]; then
+	EGIT_REPO_URI="https://github.com/zsh-users/${PN}.git"
+	inherit git-r3
+else
+	MY_PV=$(ver_rs 3 -)
+	SRC_URI="https://github.com/zsh-users/zsh-syntax-highlighting/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+	S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+DESCRIPTION="Fish shell like syntax highlighting for zsh"
+HOMEPAGE="https://github.com/zsh-users/zsh-syntax-highlighting"
+
+LICENSE="BSD"
+SLOT="0"
+
+RDEPEND="app-shells/zsh"
+
+DISABLE_AUTOFORMATTING="true"
+DOC_CONTENTS="In order to use ${CATEGORY}/${PN} add
+. /usr/share/zsh/site-functions/zsh-syntax-highlighting.zsh
+at the end of your ~/.zshrc"
+
+src_prepare() {
+	sed -i -e 's/COPYING.md//' Makefile || die
+	default
+}
+
+src_install() {
+	emake \
+		SHARE_DIR="${ED}/usr/share/zsh/site-functions" \
+		DOC_DIR="${ED}/usr/share/doc/${PF}" \
+		install
+	readme.gentoo_create_doc
+}


^ permalink raw reply related	[flat|nested] 12+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/
@ 2020-02-24  6:32 Mikle Kolyada
  0 siblings, 0 replies; 12+ messages in thread
From: Mikle Kolyada @ 2020-02-24  6:32 UTC (permalink / raw
  To: gentoo-commits

commit:     f737b2088cd24561f00ef40b369109589d5fcafa
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 24 06:30:34 2020 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Mon Feb 24 06:32:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f737b208

app-shells/zsh-syntax-highlighting: mark stable

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 .../zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.0_beta1.ebuild  | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.0_beta1.ebuild b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.0_beta1.ebuild
index 8ca8ffb2e2b..0ba4e019c3f 100644
--- a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.0_beta1.ebuild
+++ b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.0_beta1.ebuild
@@ -11,7 +11,7 @@ if [[ -z ${PV%%*9999} ]]; then
 else
 	MY_PV=$(ver_rs 3 -)
 	SRC_URI="https://github.com/zsh-users/zsh-syntax-highlighting/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="amd64 x86"
 	S="${WORKDIR}/${PN}-${MY_PV}"
 fi
 


^ permalink raw reply related	[flat|nested] 12+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/
@ 2020-02-29  7:30 Mikle Kolyada
  0 siblings, 0 replies; 12+ messages in thread
From: Mikle Kolyada @ 2020-02-29  7:30 UTC (permalink / raw
  To: gentoo-commits

commit:     dbc6272a2d0bc7aa593d99ab15fc8f49c073c4ec
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 29 07:30:06 2020 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sat Feb 29 07:30:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dbc6272a

app-shells/zsh-syntax-highlighting: Version bump (v0.7.1)

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 app-shells/zsh-syntax-highlighting/Manifest        |  1 +
 .../zsh-syntax-highlighting-0.7.1.ebuild           | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/app-shells/zsh-syntax-highlighting/Manifest b/app-shells/zsh-syntax-highlighting/Manifest
index a557f61f9dd..30131156c19 100644
--- a/app-shells/zsh-syntax-highlighting/Manifest
+++ b/app-shells/zsh-syntax-highlighting/Manifest
@@ -1 +1,2 @@
 DIST zsh-syntax-highlighting-0.7.0_beta1.tar.gz 130063 BLAKE2B cf0f6319af22b47cb8a280de682a69b0479dc59033be5ce84840507b77dd2df0441b8d260af55bccb303c87d7f5a7e4cc6db9f46860aee040b4b8115c76f5e07 SHA512 1692015aad58103c752e2dd4161ea87f26aaa09d34eb2faec1f651fea1d9bfad29226455468017160a5393a87c1f7ed0514b09b0802b1810377beef72bfa6c87
+DIST zsh-syntax-highlighting-0.7.1.tar.gz 133554 BLAKE2B cd55a0ad69670b25edc4bfa78ad76d1e2ef501deeca3e93adbef0aca305896722b4906d7717be3ad61bc0cf6b6496e217626406e5ff4168ece4b75bffd94bbf0 SHA512 e7e86b88cdac9b9ed5f973823ba8efff99dd720b9ed929f765f9f9266b9d6e147274f5957ceb630d51a660e396fc22e97f10cfbc5cdde941b907f3773bb1ea2b

diff --git a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
new file mode 100644
index 00000000000..8ca8ffb2e2b
--- /dev/null
+++ b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit readme.gentoo-r1
+
+if [[ -z ${PV%%*9999} ]]; then
+	EGIT_REPO_URI="https://github.com/zsh-users/${PN}.git"
+	inherit git-r3
+else
+	MY_PV=$(ver_rs 3 -)
+	SRC_URI="https://github.com/zsh-users/zsh-syntax-highlighting/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+	S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+DESCRIPTION="Fish shell like syntax highlighting for zsh"
+HOMEPAGE="https://github.com/zsh-users/zsh-syntax-highlighting"
+
+LICENSE="BSD"
+SLOT="0"
+
+RDEPEND="app-shells/zsh"
+
+DISABLE_AUTOFORMATTING="true"
+DOC_CONTENTS="In order to use ${CATEGORY}/${PN} add
+. /usr/share/zsh/site-functions/zsh-syntax-highlighting.zsh
+at the end of your ~/.zshrc"
+
+src_prepare() {
+	sed -i -e 's/COPYING.md//' Makefile || die
+	default
+}
+
+src_install() {
+	emake \
+		SHARE_DIR="${ED}/usr/share/zsh/site-functions" \
+		DOC_DIR="${ED}/usr/share/doc/${PF}" \
+		install
+	readme.gentoo_create_doc
+}


^ permalink raw reply related	[flat|nested] 12+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/
@ 2021-03-13 20:04 Mikle Kolyada
  0 siblings, 0 replies; 12+ messages in thread
From: Mikle Kolyada @ 2021-03-13 20:04 UTC (permalink / raw
  To: gentoo-commits

commit:     c98b4701257efb19795c292e5e88b3f457a7b8c4
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 13 20:03:48 2021 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sat Mar 13 20:03:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c98b4701

app-shells/zsh-syntax-highlighting: Drop old

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 app-shells/zsh-syntax-highlighting/Manifest        |  1 -
 .../zsh-syntax-highlighting-0.7.0_beta1.ebuild     | 42 ----------------------
 2 files changed, 43 deletions(-)

diff --git a/app-shells/zsh-syntax-highlighting/Manifest b/app-shells/zsh-syntax-highlighting/Manifest
index 30131156c19..6a76ff54d77 100644
--- a/app-shells/zsh-syntax-highlighting/Manifest
+++ b/app-shells/zsh-syntax-highlighting/Manifest
@@ -1,2 +1 @@
-DIST zsh-syntax-highlighting-0.7.0_beta1.tar.gz 130063 BLAKE2B cf0f6319af22b47cb8a280de682a69b0479dc59033be5ce84840507b77dd2df0441b8d260af55bccb303c87d7f5a7e4cc6db9f46860aee040b4b8115c76f5e07 SHA512 1692015aad58103c752e2dd4161ea87f26aaa09d34eb2faec1f651fea1d9bfad29226455468017160a5393a87c1f7ed0514b09b0802b1810377beef72bfa6c87
 DIST zsh-syntax-highlighting-0.7.1.tar.gz 133554 BLAKE2B cd55a0ad69670b25edc4bfa78ad76d1e2ef501deeca3e93adbef0aca305896722b4906d7717be3ad61bc0cf6b6496e217626406e5ff4168ece4b75bffd94bbf0 SHA512 e7e86b88cdac9b9ed5f973823ba8efff99dd720b9ed929f765f9f9266b9d6e147274f5957ceb630d51a660e396fc22e97f10cfbc5cdde941b907f3773bb1ea2b

diff --git a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.0_beta1.ebuild b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.0_beta1.ebuild
deleted file mode 100644
index 0ba4e019c3f..00000000000
--- a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.0_beta1.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit readme.gentoo-r1
-
-if [[ -z ${PV%%*9999} ]]; then
-	EGIT_REPO_URI="https://github.com/zsh-users/${PN}.git"
-	inherit git-r3
-else
-	MY_PV=$(ver_rs 3 -)
-	SRC_URI="https://github.com/zsh-users/zsh-syntax-highlighting/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="amd64 x86"
-	S="${WORKDIR}/${PN}-${MY_PV}"
-fi
-
-DESCRIPTION="Fish shell like syntax highlighting for zsh"
-HOMEPAGE="https://github.com/zsh-users/zsh-syntax-highlighting"
-
-LICENSE="BSD"
-SLOT="0"
-
-RDEPEND="app-shells/zsh"
-
-DISABLE_AUTOFORMATTING="true"
-DOC_CONTENTS="In order to use ${CATEGORY}/${PN} add
-. /usr/share/zsh/site-functions/zsh-syntax-highlighting.zsh
-at the end of your ~/.zshrc"
-
-src_prepare() {
-	sed -i -e 's/COPYING.md//' Makefile || die
-	default
-}
-
-src_install() {
-	emake \
-		SHARE_DIR="${ED}/usr/share/zsh/site-functions" \
-		DOC_DIR="${ED}/usr/share/doc/${PF}" \
-		install
-	readme.gentoo_create_doc
-}


^ permalink raw reply related	[flat|nested] 12+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/
@ 2021-03-13 20:04 Mikle Kolyada
  0 siblings, 0 replies; 12+ messages in thread
From: Mikle Kolyada @ 2021-03-13 20:04 UTC (permalink / raw
  To: gentoo-commits

commit:     429d88ecd513c8662acda30d7252902eebda3777
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 13 20:03:04 2021 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sat Mar 13 20:03:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=429d88ec

app-shells/zsh-syntax-highlighting: mark stable

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 .../zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild      | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
index 8ca8ffb2e2b..7d6ef4a088b 100644
--- a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
+++ b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ if [[ -z ${PV%%*9999} ]]; then
 else
 	MY_PV=$(ver_rs 3 -)
 	SRC_URI="https://github.com/zsh-users/zsh-syntax-highlighting/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="amd64 x86"
 	S="${WORKDIR}/${PN}-${MY_PV}"
 fi
 


^ permalink raw reply related	[flat|nested] 12+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/
@ 2022-04-29  4:56 Sam James
  0 siblings, 0 replies; 12+ messages in thread
From: Sam James @ 2022-04-29  4:56 UTC (permalink / raw
  To: gentoo-commits

commit:     50c641e3592281384932d40f87ab3a2acb6be521
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 29 04:56:42 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Apr 29 04:56:42 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50c641e3

app-shells/zsh-syntax-highlighting: mark ALLARCHES

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-shells/zsh-syntax-highlighting/metadata.xml | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/app-shells/zsh-syntax-highlighting/metadata.xml b/app-shells/zsh-syntax-highlighting/metadata.xml
index 48d3ded01150..31a6399a74d8 100644
--- a/app-shells/zsh-syntax-highlighting/metadata.xml
+++ b/app-shells/zsh-syntax-highlighting/metadata.xml
@@ -1,8 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<maintainer type="person">
-	<email>zlogene@gentoo.org</email>
-	<name>Mikle Kolyada</name>
-</maintainer>
+	<maintainer type="person">
+		<email>zlogene@gentoo.org</email>
+		<name>Mikle Kolyada</name>
+	</maintainer>
+	<stabilize-allarches/>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 12+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/
@ 2022-05-03 17:37 Arthur Zamarin
  0 siblings, 0 replies; 12+ messages in thread
From: Arthur Zamarin @ 2022-05-03 17:37 UTC (permalink / raw
  To: gentoo-commits

commit:     bdc00e474f8633d8a1251ff5b8f52cbc0ae1098e
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue May  3 17:37:09 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue May  3 17:37:09 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bdc00e47

app-shells/zsh-syntax-highlighting: Keyword 0.7.1 arm, #837134

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 .../zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild      | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
index 7d6ef4a088be..c714594dc373 100644
--- a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
+++ b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ if [[ -z ${PV%%*9999} ]]; then
 else
 	MY_PV=$(ver_rs 3 -)
 	SRC_URI="https://github.com/zsh-users/zsh-syntax-highlighting/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="amd64 x86"
+	KEYWORDS="amd64 ~arm x86"
 	S="${WORKDIR}/${PN}-${MY_PV}"
 fi
 


^ permalink raw reply related	[flat|nested] 12+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/
@ 2022-05-10 16:39 Jakov Smolić
  0 siblings, 0 replies; 12+ messages in thread
From: Jakov Smolić @ 2022-05-10 16:39 UTC (permalink / raw
  To: gentoo-commits

commit:     d5b81602058f860ed933637c9b44dc8e4026ee50
Author:     Yu Gu <guyu2876 <AT> gmail <DOT> com>
AuthorDate: Tue May 10 14:03:30 2022 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Tue May 10 16:39:35 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5b81602

app-shells/zsh-syntax-highlighting: keyword 0.7.1 for ~riscv

Signed-off-by: Yu Gu <guyu2876 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/25419
Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
index c714594dc373..6f3bd9ea5f6d 100644
--- a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
+++ b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
@@ -11,7 +11,7 @@ if [[ -z ${PV%%*9999} ]]; then
 else
 	MY_PV=$(ver_rs 3 -)
 	SRC_URI="https://github.com/zsh-users/zsh-syntax-highlighting/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="amd64 ~arm x86"
+	KEYWORDS="amd64 ~arm ~riscv x86"
 	S="${WORKDIR}/${PN}-${MY_PV}"
 fi
 


^ permalink raw reply related	[flat|nested] 12+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/
@ 2023-05-27  8:46 Arthur Zamarin
  0 siblings, 0 replies; 12+ messages in thread
From: Arthur Zamarin @ 2023-05-27  8:46 UTC (permalink / raw
  To: gentoo-commits

commit:     1f44ab66ddb2e710523b6b38dd4d57f4476b8503
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat May 27 08:46:16 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat May 27 08:46:16 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f44ab66

app-shells/zsh-syntax-highlighting: Keyword 0.7.1 arm64, #906993

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 .../zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild      | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
index 6f3bd9ea5f6d..6dc5114c77c9 100644
--- a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
+++ b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ if [[ -z ${PV%%*9999} ]]; then
 else
 	MY_PV=$(ver_rs 3 -)
 	SRC_URI="https://github.com/zsh-users/zsh-syntax-highlighting/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="amd64 ~arm ~riscv x86"
+	KEYWORDS="amd64 ~arm ~arm64 ~riscv x86"
 	S="${WORKDIR}/${PN}-${MY_PV}"
 fi
 


^ permalink raw reply related	[flat|nested] 12+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/
@ 2024-05-27 12:04 Viorel Munteanu
  0 siblings, 0 replies; 12+ messages in thread
From: Viorel Munteanu @ 2024-05-27 12:04 UTC (permalink / raw
  To: gentoo-commits

commit:     40a2da4521399bf21a7b5e380f31ed6e04504285
Author:     Mattéo Rossillol‑‑Laruelle <beatussum <AT> protonmail <DOT> com>
AuthorDate: Mon May 27 10:24:23 2024 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Mon May 27 11:52:41 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40a2da45

app-shells/zsh-syntax-highlighting: add 0.8.0 and adoption

Closes: https://bugs.gentoo.org/920942
Signed-off-by: Mattéo Rossillol‑‑Laruelle <beatussum <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/36175
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 app-shells/zsh-syntax-highlighting/Manifest        |  1 +
 app-shells/zsh-syntax-highlighting/metadata.xml    | 15 ++++++-
 .../zsh-syntax-highlighting-0.8.0.ebuild           | 48 ++++++++++++++++++++++
 .../zsh-syntax-highlighting-9999.ebuild            | 48 ++++++++++++++++++++++
 4 files changed, 111 insertions(+), 1 deletion(-)

diff --git a/app-shells/zsh-syntax-highlighting/Manifest b/app-shells/zsh-syntax-highlighting/Manifest
index 6a76ff54d77e..c64266de01fa 100644
--- a/app-shells/zsh-syntax-highlighting/Manifest
+++ b/app-shells/zsh-syntax-highlighting/Manifest
@@ -1 +1,2 @@
 DIST zsh-syntax-highlighting-0.7.1.tar.gz 133554 BLAKE2B cd55a0ad69670b25edc4bfa78ad76d1e2ef501deeca3e93adbef0aca305896722b4906d7717be3ad61bc0cf6b6496e217626406e5ff4168ece4b75bffd94bbf0 SHA512 e7e86b88cdac9b9ed5f973823ba8efff99dd720b9ed929f765f9f9266b9d6e147274f5957ceb630d51a660e396fc22e97f10cfbc5cdde941b907f3773bb1ea2b
+DIST zsh-syntax-highlighting-0.8.0.tar.gz 155914 BLAKE2B bdb95dc825514e2c0ced2a33133967089fdbd851e00874f68497cd5daae2010f5335fb173569f5af6aea65f4e23744076c420ebc957b7bdba325fcec573d3805 SHA512 58593c8bf3fa1476ecf0fceb1fc4eab986a778de657d359a28fe48798e787896fbf2588441c69b017a08227ab44dd46473afb16e0f125aae59cc58004bfa8c2e

diff --git a/app-shells/zsh-syntax-highlighting/metadata.xml b/app-shells/zsh-syntax-highlighting/metadata.xml
index de67513b1cdd..9d74da2c04d0 100644
--- a/app-shells/zsh-syntax-highlighting/metadata.xml
+++ b/app-shells/zsh-syntax-highlighting/metadata.xml
@@ -1,9 +1,22 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<!-- maintainer-needed -->
+	<maintainer type="person" proxied="yes">
+		<email>beatussum@protonmail.com</email>
+		<name>Mattéo Rossillol‑‑Laruelle</name>
+	</maintainer>
+	<maintainer type="project" proxied="proxy">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
 	<stabilize-allarches/>
 	<upstream>
+		<maintainer status="active">
+			<name>zsh-users</name>
+		</maintainer>
+
+		<changelog>https://raw.githubusercontent.com/zsh-users/zsh-syntax-highlighting/master/changelog.md</changelog>
+		<bugs-to>https://github.com/zsh-users/zsh-syntax-highlighting/issues</bugs-to>
 		<remote-id type="github">zsh-users/zsh-syntax-highlighting</remote-id>
 	</upstream>
 </pkgmetadata>

diff --git a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.8.0.ebuild b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.8.0.ebuild
new file mode 100644
index 000000000000..0b1f5c2efd49
--- /dev/null
+++ b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.8.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit readme.gentoo-r1
+
+if [[ "${PV}" = *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/zsh-users/${PN}.git"
+else
+	SRC_URI="https://github.com/zsh-users/zsh-syntax-highlighting/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+fi
+
+DESCRIPTION="Fish shell like syntax highlighting for zsh"
+HOMEPAGE="https://github.com/zsh-users/zsh-syntax-highlighting"
+
+LICENSE="BSD"
+SLOT="0"
+
+RDEPEND="app-shells/zsh"
+
+DISABLE_AUTOFORMATTING="true"
+
+DOC_CONTENTS="\
+In order to use ${CATEGORY}/${PN}, add
+\`source /usr/share/zsh/site-functions/zsh-syntax-highlighting.zsh\`
+at the end of your ~/.zshrc"
+
+src_prepare() {
+	default
+
+	sed -i "s/COPYING.md//" Makefile || die
+}
+
+src_install() {
+	emake \
+		SHARE_DIR="${ED}/usr/share/zsh/site-functions" \
+		DOC_DIR="${ED}/usr/share/doc/${PF}" \
+		install
+
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}

diff --git a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-9999.ebuild b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-9999.ebuild
new file mode 100644
index 000000000000..0b1f5c2efd49
--- /dev/null
+++ b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-9999.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit readme.gentoo-r1
+
+if [[ "${PV}" = *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/zsh-users/${PN}.git"
+else
+	SRC_URI="https://github.com/zsh-users/zsh-syntax-highlighting/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+fi
+
+DESCRIPTION="Fish shell like syntax highlighting for zsh"
+HOMEPAGE="https://github.com/zsh-users/zsh-syntax-highlighting"
+
+LICENSE="BSD"
+SLOT="0"
+
+RDEPEND="app-shells/zsh"
+
+DISABLE_AUTOFORMATTING="true"
+
+DOC_CONTENTS="\
+In order to use ${CATEGORY}/${PN}, add
+\`source /usr/share/zsh/site-functions/zsh-syntax-highlighting.zsh\`
+at the end of your ~/.zshrc"
+
+src_prepare() {
+	default
+
+	sed -i "s/COPYING.md//" Makefile || die
+}
+
+src_install() {
+	emake \
+		SHARE_DIR="${ED}/usr/share/zsh/site-functions" \
+		DOC_DIR="${ED}/usr/share/doc/${PF}" \
+		install
+
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}


^ permalink raw reply related	[flat|nested] 12+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/
@ 2024-07-01  8:04 Jakov Smolić
  0 siblings, 0 replies; 12+ messages in thread
From: Jakov Smolić @ 2024-07-01  8:04 UTC (permalink / raw
  To: gentoo-commits

commit:     79295c5a1bd5b42da05f7529eb9aa3e9116a8729
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  1 08:03:58 2024 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Mon Jul  1 08:03:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79295c5a

app-shells/zsh-syntax-highlighting: Stabilize 0.8.0 ALLARCHES, #935253

Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.8.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.8.0.ebuild b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.8.0.ebuild
index 0b1f5c2efd49..33fbe3d0710d 100644
--- a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.8.0.ebuild
+++ b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.8.0.ebuild
@@ -10,7 +10,7 @@ if [[ "${PV}" = *9999* ]]; then
 	EGIT_REPO_URI="https://github.com/zsh-users/${PN}.git"
 else
 	SRC_URI="https://github.com/zsh-users/zsh-syntax-highlighting/archive/${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+	KEYWORDS="amd64 ~arm ~arm64 ~riscv x86"
 fi
 
 DESCRIPTION="Fish shell like syntax highlighting for zsh"


^ permalink raw reply related	[flat|nested] 12+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/
@ 2024-07-04  4:24 Eli Schwartz
  0 siblings, 0 replies; 12+ messages in thread
From: Eli Schwartz @ 2024-07-04  4:24 UTC (permalink / raw
  To: gentoo-commits

commit:     b7e9056255dac4b0be41683e56b7ec72e1f0708f
Author:     Mattéo Rossillol‑‑Laruelle <beatussum <AT> protonmail <DOT> com>
AuthorDate: Mon Jul  1 11:20:38 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Thu Jul  4 04:23:26 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7e90562

app-shells/zsh-syntax-highlighting: drop 0.7.1

Signed-off-by: Mattéo Rossillol‑‑Laruelle <beatussum <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/37384
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 app-shells/zsh-syntax-highlighting/Manifest        |  1 -
 .../zsh-syntax-highlighting-0.7.1.ebuild           | 42 ----------------------
 2 files changed, 43 deletions(-)

diff --git a/app-shells/zsh-syntax-highlighting/Manifest b/app-shells/zsh-syntax-highlighting/Manifest
index c64266de01fa..e2b72f6c8548 100644
--- a/app-shells/zsh-syntax-highlighting/Manifest
+++ b/app-shells/zsh-syntax-highlighting/Manifest
@@ -1,2 +1 @@
-DIST zsh-syntax-highlighting-0.7.1.tar.gz 133554 BLAKE2B cd55a0ad69670b25edc4bfa78ad76d1e2ef501deeca3e93adbef0aca305896722b4906d7717be3ad61bc0cf6b6496e217626406e5ff4168ece4b75bffd94bbf0 SHA512 e7e86b88cdac9b9ed5f973823ba8efff99dd720b9ed929f765f9f9266b9d6e147274f5957ceb630d51a660e396fc22e97f10cfbc5cdde941b907f3773bb1ea2b
 DIST zsh-syntax-highlighting-0.8.0.tar.gz 155914 BLAKE2B bdb95dc825514e2c0ced2a33133967089fdbd851e00874f68497cd5daae2010f5335fb173569f5af6aea65f4e23744076c420ebc957b7bdba325fcec573d3805 SHA512 58593c8bf3fa1476ecf0fceb1fc4eab986a778de657d359a28fe48798e787896fbf2588441c69b017a08227ab44dd46473afb16e0f125aae59cc58004bfa8c2e

diff --git a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild b/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
deleted file mode 100644
index 6dc5114c77c9..000000000000
--- a/app-shells/zsh-syntax-highlighting/zsh-syntax-highlighting-0.7.1.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit readme.gentoo-r1
-
-if [[ -z ${PV%%*9999} ]]; then
-	EGIT_REPO_URI="https://github.com/zsh-users/${PN}.git"
-	inherit git-r3
-else
-	MY_PV=$(ver_rs 3 -)
-	SRC_URI="https://github.com/zsh-users/zsh-syntax-highlighting/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="amd64 ~arm ~arm64 ~riscv x86"
-	S="${WORKDIR}/${PN}-${MY_PV}"
-fi
-
-DESCRIPTION="Fish shell like syntax highlighting for zsh"
-HOMEPAGE="https://github.com/zsh-users/zsh-syntax-highlighting"
-
-LICENSE="BSD"
-SLOT="0"
-
-RDEPEND="app-shells/zsh"
-
-DISABLE_AUTOFORMATTING="true"
-DOC_CONTENTS="In order to use ${CATEGORY}/${PN} add
-. /usr/share/zsh/site-functions/zsh-syntax-highlighting.zsh
-at the end of your ~/.zshrc"
-
-src_prepare() {
-	sed -i -e 's/COPYING.md//' Makefile || die
-	default
-}
-
-src_install() {
-	emake \
-		SHARE_DIR="${ED}/usr/share/zsh/site-functions" \
-		DOC_DIR="${ED}/usr/share/doc/${PF}" \
-		install
-	readme.gentoo_create_doc
-}


^ permalink raw reply related	[flat|nested] 12+ messages in thread

end of thread, other threads:[~2024-07-04  4:24 UTC | newest]

Thread overview: 12+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-02-08 11:52 [gentoo-commits] repo/gentoo:master commit in: app-shells/zsh-syntax-highlighting/ Mikle Kolyada
  -- strict thread matches above, loose matches on Subject: below --
2020-02-24  6:32 Mikle Kolyada
2020-02-29  7:30 Mikle Kolyada
2021-03-13 20:04 Mikle Kolyada
2021-03-13 20:04 Mikle Kolyada
2022-04-29  4:56 Sam James
2022-05-03 17:37 Arthur Zamarin
2022-05-10 16:39 Jakov Smolić
2023-05-27  8:46 Arthur Zamarin
2024-05-27 12:04 Viorel Munteanu
2024-07-01  8:04 Jakov Smolić
2024-07-04  4:24 Eli Schwartz

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox